classification
Title: Add "**other_popen_kwargs" to subprocess API signatures in docs
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: ZackerySpytz, chris.jerdonek, docs@python, miss-islington, ncoghlan
Priority: normal Keywords: patch

Created on 2020-03-16 07:52 by ncoghlan, last changed 2020-05-19 09:28 by chris.jerdonek. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 20145 merged ZackerySpytz, 2020-05-17 04:25
PR 20210 merged miss-islington, 2020-05-19 09:18
PR 20211 merged miss-islington, 2020-05-19 09:18
Messages (5)
msg364295 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2020-03-16 07:52
Two of my colleagues missed the "The arguments shown above are merely the most common ones, ..." caveat on the subprocess.run documentation, and assumed that Python 3.5 only supported the "cwd" option in the low level Popen API, and not any of the higher level APIs.

Something we could potential do is include a "**other_popen_kwargs" placeholder in the affected API signatures (run, call, check_call, check_output) that makes it clear there are more options beyond the explicitly listed ones.
msg369111 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2020-05-17 10:52
New changeset 46545000c2a30b46aed717b546bc09e5bae7148f by Zackery Spytz in branch 'master':
bpo-39976: Add **other_popen_kwargs to subprocess docs (GH-20145)
https://github.com/python/cpython/commit/46545000c2a30b46aed717b546bc09e5bae7148f
msg369112 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2020-05-17 10:57
I'm not sure if this is worth backporting, but let me know if you think it should.
msg369329 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2020-05-19 09:28
New changeset 257e11cebde6b29177a206abd1e395367799ed42 by Miss Islington (bot) in branch '3.8':
bpo-39976: Add **other_popen_kwargs to subprocess docs (GH-20145)
https://github.com/python/cpython/commit/257e11cebde6b29177a206abd1e395367799ed42
msg369330 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2020-05-19 09:28
New changeset 05525fff8a46f4d479cc029e4ea57b35b153f015 by Miss Islington (bot) in branch '3.7':
bpo-39976: Add **other_popen_kwargs to subprocess docs (GH-20145)
https://github.com/python/cpython/commit/05525fff8a46f4d479cc029e4ea57b35b153f015
History
Date User Action Args
2020-05-19 09:28:25chris.jerdoneksetmessages: + msg369330
2020-05-19 09:28:03chris.jerdoneksetmessages: + msg369329
2020-05-19 09:18:56miss-islingtonsetpull_requests: + pull_request19507
2020-05-19 09:18:47miss-islingtonsetnosy: + miss-islington

pull_requests: + pull_request19506
2020-05-17 10:57:19chris.jerdoneksetstatus: open -> closed
resolution: fixed
messages: + msg369112

stage: patch review -> resolved
2020-05-17 10:52:52chris.jerdoneksetnosy: + chris.jerdonek
messages: + msg369111
2020-05-17 04:25:55ZackerySpytzsetkeywords: + patch
nosy: + ZackerySpytz

pull_requests: + pull_request19450
stage: needs patch -> patch review
2020-03-16 07:52:43ncoghlancreate